List SSL certificates
GET
/v1/ssl_certificatesThis GET request sent to /v1/ssl_certificates will display a list of all the SSL certificates you have on the account.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
search_pattern?string
This pattern is used to return resources containing the parameter value in its name.
label_selector?string
This parameter will filter results by labels. More details in the Labels section.
per_page?integer
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
Range
1 <= value <= 100Default
20page?integer
The number of a page (>= 1) that will be returned. By default, it's 1.
Range
1 <= valueDefault
1sorting?string
This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at parameters.
Default
"id"Value in
- "id"
- "created_at"
- "updated_at"
direction?string
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
Default
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/ssl_certificates"[ { "id": "pnel5aKB", "name": "name93", "type": "custom", "issuer": null, "subject": "example-70.com", "domain_names": [], "sha1_fingerprint": "96dbb0e68f9014c7f4733e131b3253eb05e259b3", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "expires_at": null, "created_at": "2026-05-28T06:55:38Z", "updated_at": "2026-05-28T06:55:38Z" }]{ "message": "Bad request", "code": "BAD_REQUEST", "params": [ "page" ]}